Qpid SSL protocol

Bug #1158807 reported by JuanFra Rodriguez Cardoso on 2013-03-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Unassigned
Grizzly
High
Unassigned
OpenStack Compute (nova)
Undecided
Unassigned
Grizzly
High
Unassigned
neutron
Undecided
Unassigned
Grizzly
High
Unassigned
oslo-incubator
High
Davanum Srinivas (DIMS)

Bug Description

By default, TCP is used as transport for QPID connections. If you like to enable SSL, there is a flat 'qpid_protocol = ssl' available in nova.conf. However, python-qpid client is awaiting transport type instead of protocol. It seems to be a bug:

Solution: (https://github.com/openstack/nova/blob/master/nova/openstack/common/rpc/impl_qpid.py#L323)

WRONG: self.connection.protocol = self.conf.qpid_protocol
CORRECT: self.connection.transport = self.conf.qpid_protocol

Regards,
JuanFra.

Chuck Short (zulcss) on 2013-03-22
affects: nova → oslo
affects: oslo → nova
affects: nova → oslo

JuanFra,

Next time can you please follow steps here to contribute code changes? I'll take care of it this time :)

https://wiki.openstack.org/wiki/HowToContribute#If_you.27re_a_developer.2C_start_here

thanks,
dims

Changed in oslo:
assignee: nobody → Davanum Srinivas (DIMS) (dims-v)

Fix proposed to branch: master
Review: https://review.openstack.org/25157

Changed in oslo:
status: New → In Progress

Hi Dims,

Sure! Next time I'll upload changes for reviewing.

Thanks!
JuanFra.

Mark McLoughlin (markmc) on 2013-03-25
Changed in oslo:
importance: Undecided → High
tags: added: grizzly-backport-potential

Reviewed: https://review.openstack.org/25157
Committed: http://github.com/openstack/oslo-incubator/commit/80abdcc48af5a6c67690cafcd41e5682bb1fef15
Submitter: Jenkins
Branch: master

commit 80abdcc48af5a6c67690cafcd41e5682bb1fef15
Author: Davanum Srinivas <email address hidden>
Date: Fri Mar 22 12:56:37 2013 -0400

    Fix problem with setting SSL protocol in QPid

    looks like we were setting the wrong param

    Fixes LP# 1158807

    Change-Id: Id138926f737ce87618d625aa8b289c508a66aaf4

Changed in oslo:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-05-30
Changed in oslo:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in oslo:
milestone: havana-1 → 2013.2

Reviewed: https://review.openstack.org/47574
Committed: http://github.com/openstack/oslo-incubator/commit/ad04e5787a4a651e59636ae7bb28dd9a0b2ee63f
Submitter: Jenkins
Branch: stable/grizzly

commit ad04e5787a4a651e59636ae7bb28dd9a0b2ee63f
Author: Davanum Srinivas <email address hidden>
Date: Fri Mar 22 12:56:37 2013 -0400

    Fix problem with setting SSL protocol in QPid

    looks like we were setting the wrong param

    Fixes LP# 1158807

    Change-Id: Id138926f737ce87618d625aa8b289c508a66aaf4
    (cherry picked from commit 80abdcc48af5a6c67690cafcd41e5682bb1fef15)

tags: added: in-stable-grizzly
Alan Pevec (apevec) on 2013-12-08
Changed in cinder:
status: New → Invalid
tags: removed: grizzly-backport-potential in-stable-grizzly
Changed in nova:
status: New → Invalid

Reviewed: https://review.openstack.org/56992
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=df384f1efa4347905bef7cd378e222a4cd61e9b0
Submitter: Jenkins
Branch: stable/grizzly

commit df384f1efa4347905bef7cd378e222a4cd61e9b0
Author: Xavier Queralt <email address hidden>
Date: Mon Nov 18 17:59:06 2013 +0100

    Fix problem with setting SSL protocol in QPid

    looks like we were setting the wrong param

    This is patch Id138926f in Grizzly oslo-incubator and it was already
    included as part of I9fc826a4 for Havana.

    Closes-Bug: 1158807
    Change-Id: Ie751e5670f612d52eea11db72bab4620de243e89

Reviewed: https://review.openstack.org/56993
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=37389b354639a620d55fdefa96e92fc3d18cc965
Submitter: Jenkins
Branch: stable/grizzly

commit 37389b354639a620d55fdefa96e92fc3d18cc965
Author: Xavier Queralt <email address hidden>
Date: Mon Nov 18 18:02:25 2013 +0100

    Fix problem with setting SSL protocol in QPid

    looks like we were setting the wrong param

    This is patch Id138926f in Grizzly oslo-incubator and it was already
    included as part of Id72417d5 for Havana.

    Closes-Bug: 1158807
    Change-Id: Ie751e5670f612d52eea11db72bab4620de243e89

Alan Pevec (apevec) on 2014-03-20
Changed in neutron:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers